static INPUT: &'static str = include_str!("input.txt");

fn solution(x: i32) -> i32 {
    let mut totals = vec![Default::default(); x.try_into().unwrap()];
    let mut total = 0;
    for line in INPUT.lines() {
        if line == "" {
            add_to_total(&mut totals, total);
            total = 0;
        } else {
            let n: i32 = line.trim().parse().expect("invalid input");
            total += n;
        };
    }
    return totals.iter().sum();
}

fn add_to_total(totals: &mut Vec<i32>, total: i32) {
    let mut i = total;
    for n in totals.iter_mut() {
        if i > *n {
            let tmp = *n;
            *n = i;
            i = tmp;
        };
    }
}

pub fn solutionA() -> i32 {
    return solution(1);
}

pub fn solutionB() -> i32 {
    return solution(3);
}
